Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface XMLParserSelectRegistryEntryMBean

public interface XMLParserSelectRegistryEntryMBean
extends ConfigurationMBean

This is an entry in the XML registry. An XML registry entry is configuration information associated with a particular XML document type. Entries accessed through this interface are used to specify a Sax parser and/or document builder of the provided document type. The document type is identified by one or more of the following: 1) a public ID (e.g, "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" 2) a system ID (e.g, "http://java.sun.com/j2ee/dtds/ejb-jar_2_0.dtd") 3) a document root tag name (e.g., "ejb-jar") This configuration information is used by the WebLogic JAXP implementation to choose the appropriate parser factories (SAX and DOM).

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getDocumentBuilderFactory()` Return the class name of the DocumentBuilderFactory that is associated with the registry entry.
`java.lang.String` | `getParserClassName()` Deprecated.
`java.lang.String` | `getPublicId()` Get the public id of the document type represented by this registry entry.
`java.lang.String` | `getRootElementTag()` Get the tag name of the document root element of the document type represented by this registry entry.
`java.lang.String` | `getSAXParserFactory()` Return the class name of the SAXParserFactory that is associated with the registry entry.
`java.lang.String` | `getSystemId()` Get the system id of the document type represented by this registry entry.
`java.lang.String` | `getTransformerFactory()` Return the class name of the default TransformerFactory
`void` | `setDocumentBuilderFactory(java.lang.String factoryClassName)` Set a DocumentBuilderFactory that is associated with the registry entry.
`void` | `setParserClassName(java.lang.String publicId)` Deprecated.
`void` | `setPublicId(java.lang.String publicId)` Set the public id of the document type represented by this registry entry.
`void` | `setRootElementTag(java.lang.String tagName)` Set the tag name of the document root element of the document type represented by this registry entry.
`void` | `setSAXParserFactory(java.lang.String factoryClassName)` Set a SAXParserFactory that is associated with the registry entry.
`void` | `setSystemId(java.lang.String systemId)` Set the system id of the document type represented by this registry entry.
`void` | `setTransformerFactory(java.lang.String factoryClassName)` Set the default TransformerFactory

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Get the public id of the document type represented by this registry entry.

  Returns:
    The publicId value

### setPublicId

    public void setPublicId(java.lang.String publicId)
                     throws javax.management.InvalidAttributeValueException

  Set the public id of the document type represented by this registry entry.

  A dynamic MBean attribute
  Parameters:
    `publicId` - The new publicId value
  Throws:
    javax.management.InvalidAttributeValueException -

### getSystemId

    public java.lang.String getSystemId()

  Get the system id of the document type represented by this registry entry.

  Returns:
    The systemId value

### setSystemId

    public void setSystemId(java.lang.String systemId)
                     throws javax.management.InvalidAttributeValueException

  Set the system id of the document type represented by this registry entry.

  A dynamic MBean attribute
  Parameters:
    `systemId` - The new systemId value
  Throws:
    javax.management.InvalidAttributeValueException -

### getRootElementTag

    public java.lang.String getRootElementTag()

  Get the tag name of the document root element of the document type represented by this registry entry.

  Returns:
    The rootElementTag value

### setRootElementTag

    public void setRootElementTag(java.lang.String tagName)
                           throws javax.management.InvalidAttributeValueException

  Set the tag name of the document root element of the document type represented by this registry entry.

  A dynamic MBean attribute
  Parameters:
    `tagName` - The new rootElementTag value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDocumentBuilderFactory

    public java.lang.String getDocumentBuilderFactory()

  Return the class name of the DocumentBuilderFactory that is associated with the registry entry.

  Returns:
    The documentBuilderFactory value

### setDocumentBuilderFactory

    public void setDocumentBuilderFactory(java.lang.String factoryClassName)
                                   throws javax.management.InvalidAttributeValueException

  Set a DocumentBuilderFactory that is associated with the registry entry.

  A dynamic MBean attribute
  Parameters:
    `factoryClassName` - The new documentBuilderFactory value
  Throws:
    javax.management.InvalidAttributeValueException -

### getSAXParserFactory

    public java.lang.String getSAXParserFactory()

  Return the class name of the SAXParserFactory that is associated with the registry entry.

  Returns:
    The sAXParserFactory value

### setSAXParserFactory

    public void setSAXParserFactory(java.lang.String factoryClassName)
                             throws javax.management.InvalidAttributeValueException

  Set a SAXParserFactory that is associated with the registry entry.

  A dynamic MBean attribute
  Parameters:
    `factoryClassName` - The new sAXParserFactory value
  Throws:
    javax.management.InvalidAttributeValueException -

### getTransformerFactory

    public java.lang.String getTransformerFactory()

  Return the class name of the default TransformerFactory

  Returns:
    The transformerFactory value

### setTransformerFactory

    public void setTransformerFactory(java.lang.String factoryClassName)
                               throws javax.management.InvalidAttributeValueException

  Set the default TransformerFactory

  A dynamic MBean attribute
  Parameters:
    `factoryClassName` - The new transformerFactory value
  Throws:
    javax.management.InvalidAttributeValueException -

### getParserClassName

    public java.lang.String getParserClassName()

  Deprecated.
  Return class name of any custom XML parser that is associated with the registry entry.

  Returns:
    The parserClassName value

### setParserClassName

    public void setParserClassName(java.lang.String publicId)
                            throws javax.management.InvalidAttributeValueException

  Deprecated.
  Set the class name of any custom XML parser that is associated with the registry entry.

  A dynamic MBean attribute
  Parameters:
    `publicId` - The new parserClassName value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD